function plotOrd0L1L2(q, ord_0_L1, ord_0_L2, pad_t)
%%   plot the optimal constructions for given weights and band      

%%
if nargin == 2
    pad_t = 1;
end

%%
q.t   = (1:pad_t*q.N ) / (pad_t*q.N);

hplot = plot(q.t, flipud(ord_0_L1), ...
             q.t, flipud(ord_0_L2), ...
             q.t, flipud(ord_0_L1));

%axis([-eps 1+eps -1.05 1.05])
axis([-eps 1+eps min(ord_0_L1)-.05 max(ord_0_L1)+.05])

set(gcf, 'color', [1 1 1])
set(hplot(1), 'color', [0 0 0], 'linewidth', 2)
set(hplot(3), 'color', [0 0 0], 'linewidth', 2)
set(hplot(2), 'color', [0.7 0.7 0.7], 'linewidth', 8)
set(gca,'Fontsize',20);
pbaspect([1 .3 1])

 set(gca,'XTick',0:.25:1)
% set(gca,'XTickLabel', ...
%         {'-\pi', ...
%          '\frac{-\pi}{2}', ...
%          '0', ...
%          '\frac{\pi}{2}', ...
%          '\pi', ...
%          })
% 
% xtl =  {'$-\pi$', ...
%         '$-\frac{1}{2}\pi$', ...
%         '$0$', ...
%         '$\frac{1}{2}\pi$', ...
%         '$\pi$'};

xtl =  {'$-\pi$', ...
        '$-\pi/2$', ...
        '$0$', ...
        '$\pi/2$', ...
        '$\pi$'};
    
%xtick_labels = str2num(get(gca, 'XTickLabel'));

yticks = get(gca, 'YTick');
ytick_labels = str2num(get(gca, 'YTickLabel'));

for j = 1:length(ytick_labels)
    ytl{j} = sprintf('$%s%s',num2str(ytick_labels(j)),'$');
end

% for j = 1:length(xtick_labels)
%     xtl{j} = sprintf('$%s%s',num2str(xtick_labels(j)),'$');
% end

h_ft = format_ticks(gca,xtl, ytl);  
%h_xlab = xlabel('$x$', 'interpreter', 'latex');

ylabel_name = {'$\psi^0$', '$\psi^1$', '$\psi^2$'};

% h_ylab = ylabel(ylabel_name{q.ord+1}, 'rotation', 0, 'interpreter', 'latex');
% set(h_xlab,'Position',get(h_xlab,'Position') + [0.0 -0.2 0]) 
% set(h_ylab,'Position',get(h_ylab,'Position') + [-0.06 0.0 0]) 

h_legend = legend('$\ell_1$','$\ell_2$');
set(h_legend, 'interpreter', 'latex', 'Fontsize', 20, 'location', 'northwest')









